{% extends "base.html" %}

{% block links %}
{{ super() }}
{% endblock %}

{% block title %}
Statut de ma candidature
{% endblock %}

{% block header %}
{% include  "sub_templates/header.html" %}
{% endblock %}

{% block main %}
<section class="shadow rounded px-4 py-3">
  <div class="flex flex-col">
    <h2 class="text-2xl font-semibold mb-2">Statut de ma candidature</h2>
  </div>
  <form method="POST" class="flex flex-col gap-2">
    <p>J'ai postulé à <a class="font-medium text-[var(--blue)] dark:text-[var(--blue)] hover:underline"
        href="{{ url_for('offre', id=history.offre.id) }}">{{ history.offre.titre }}</a>, le {{ history.send_date }}</p>
    <label for="rep-options" class="text-sm">Mettre à jour le statut de ma candidature</label>
    <select
      class="shadow bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg block px-2.5 py-1.5 h-fit w-fit"
      name="rep-options">
      <option {% if history.anser == 1 %} selected {% endif %} value="1">En cours</option>
      <option {% if history.anser == 2 %} selected {% endif %} value="2">Accepté(e)</option>
      <option {% if history.anser == 3 %} selected {% endif %} value="3">Refusé(e)</option>
    </select>
    <div class="flex gap-2 w-fit my-0 mx-auto mt-10">
      <button
        class="shadow bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg hover:border-[var(--blue)] hover:bg-[var(--blue)] hover:text-white focus:border-[var(--blue)] block w-full px-2.5 py-1.5 h-fit">
        <input type="submit" value="Valider">
      </button>
      <button
        class="shadow bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg hover:border-red-600 hover:bg-red-500 hover:text-white focus:border-red-600 block w-full px-2.5 py-1.5 h-fit">
        <a href="#">Annuler</a>
      </button>
    </div>
  </form>
</section>
{% endblock %}

{% block footer %}
{% include "sub_templates/footer.html" %}
{% endblock footer%}

{% block script %}
{{ super() }}
{% endblock %}